/**
  ******************************************************************************
  * @file    VAPC-meter/lib/adc.h
  * @author  "Vladimir N. Shilov" <shilow@ukr.net>
  * @version V1
  * @date    24-March-2016
  * @brief   This file contains the headers of the ADC functions.
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#pragma once
#ifndef __ADC_H
#define __ADC_H

/* Includes ------------------------------------------------------------------*/
#include "stm8l15x.h"

/* Exported types ------------------------------------------------------------*/
/* Exported defines ----------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
#define ADC_BUFFER_SIZE     ((uint8_t)2)
#define FAST_BUFFER_SIZE    ((uint8_t)64)

/* Exported macro ------------------------------------------------------------*/
/* Exported variables --------------------------------------------------------*/
//extern __IO uint16_t ADC_Buffer[];
//extern __IO uint16_t VoltageFastBuffer[];
//extern __IO uint16_t CurrentFastBuffer[];

/* Exported functions ------------------------------------------------------- */
void ADC_Config(void);
uint16_t * ADC_GetValues(void);

#endif /* __ADC_H */

/************************ (C) Vladimir N. Shilov *****END OF FILE****/
